//---------------------------------------------------------------------------
#ifndef PreferDlgH
#define PreferDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Dialogs.hpp>
#include <vcl\Buttons.hpp>
//---------------------------------------------------------------------------
bool __fastcall GetPreferences(AnsiString &PageCap=AnsiString(""));

class TPreferForm : public TForm
{
__published:	// IDE-managed Components
  TButton *OkBtn;
  TButton *CancelBtn;
  TColorDialog *ColorDialog1;
  TPageControl *PageControl1;
  TTabSheet *TabSheet3;
  TLabel *Label6;
  TGroupBox *GroupBox5;
  TLabel *Label5;
  TLabel *Label4;
  TEdit *StatsMinutes;
  TGroupBox *GroupBox6;
  TLabel *Label1;
  TEdit *QuoteMarkEdit;
  TButton *ColorBtn;
	TTabSheet *EdSheet;
  TGroupBox *EdWrapGroup;
  TRadioButton *EdWrapNotBtn;
  TRadioButton *EdWrapWinBtn;
  TTabSheet *TabSheet2;
  TGroupBox *SendWrapGroup;
  TLabel *Label2;
  TRadioButton *SendWrapNotBtn;
  TRadioButton *SendWrapWinBtn;
  TRadioButton *SendWrapCharBtn;
  TEdit *SendWrapCharEdit;
  TPanel *ColorBox;
  TCheckBox *DontWrapQuotes;
  TButton *ApplyColorBtn;
  TTabSheet *PgpSheet;
  TGroupBox *GroupBox1;
  TEdit *PgpPublicKeyring;
  TEdit *PgpSecretKeyring;
  TButton *BrowseSecring;
  TButton *BrowsePubring;
  TOpenDialog *OpenPubring;
  TOpenDialog *OpenSecring;
  TGroupBox *GroupBox2;
  TEdit *PgpImportKeyring;
  TGroupBox *GroupBox3;
  TButton *ImportBtn;
  TButton *HelpBtn;
  TButton *BrowseImport;
  TLabel *Label7;
  TButton *ResetBtn;
  TOpenDialog *OpenImport;
  TEdit *SendChainLogMax;
  TLabel *Label8;
  TEdit *SendSMTPLogMax;
  TLabel *Label9;
  TTabSheet *TabSheet4;
  TTabSheet *TabSheet5;
  TEdit *RemailerTimeOut;
  TLabel *Label10;
  TEdit *ReceivePOP3LogMax;
  TLabel *Label11;
  TEdit *RemailerErrChkLogMax;
  TLabel *Label12;
  TLabel *Label3;
  TLabel *Label14;
  void __fastcall SendWrapBtnClick(TObject *Sender);
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall SendWrapCharEditExit(TObject *Sender);
  void __fastcall StatsMinutesExit(TObject *Sender);
  void __fastcall ColorBtnClick(TObject *Sender);
  void __fastcall ApplyColorBtnClick(TObject *Sender);
  void __fastcall PageControl1Change(TObject *Sender);
  void __fastcall BrowsePubringClick(TObject *Sender);
  void __fastcall BrowseSecringClick(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
  void __fastcall PgpImportKeyringChange(TObject *Sender);
  void __fastcall ImportBtnClick(TObject *Sender);
  void __fastcall BrowseImportClick(TObject *Sender);
  void __fastcall PgpKeyringChange(TObject *Sender);
  void __fastcall ResetBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  TStringList *ini;
  AnsiString seckeyfile,pubkeyfile,impkeyfile;
  __fastcall TPreferForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TPreferForm *PreferForm;
//---------------------------------------------------------------------------
#endif
